Package org.apache.struts2.util

# Class MergeIteratorFilter

java.lang.Object
org.apache.struts2.util.IteratorFilterSupport
org.apache.struts2.util.MergeIteratorFilter

All Implemented Interfaces:
  `Iterator`, `Action`

public class MergeIteratorFilter extends IteratorFilterSupport implements Iterator, Action
A bean that takes several iterators and outputs the merge of them. Used by MergeIteratorTag.

See Also:
  - `MergeIteratorTag`
  - `MergeIterator`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.struts2.util.IteratorFilterSupport

  `IteratorFilterSupport.EnumerationIterator`

- ## Field Summary

  ### Fields inherited from interface org.apache.struts2.action.Action

  `ERROR, INPUT, LOGIN, NONE, SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergeIteratorFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execute()`
  Where the logic of the action is executed.
  `boolean`
  `hasNext()`
  `Object`
  `next()`
  `void`
  `remove()`
  `void`
  `setSource(Object anIterator)`

  ### Methods inherited from class org.apache.struts2.util.IteratorFilterSupport

  `getIterator`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### MergeIteratorFilter

    public MergeIteratorFilter()

- ## Method Details

  - ### setSource

    public void setSource(Object anIterator)

  - ### execute

    public String execute()
    Description copied from interface: `Action`
    Where the logic of the action is executed.
    Specified by:
      `execute` in interface `Action`
    Returns:
      a string representing the logical result of the execution. See constants in this interface for a list of standard result values.

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator`

  - ### next

    public Object next()
    Specified by:
      `next` in interface `Iterator`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator`